Search Results for

Show / Hide Table of Contents

# Class Color

Basic colors that can be used to set the foreground and background colors in console applications.

##### Inheritance

System.Object
Color

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class Color : Enum

### Fields

#### Black

The black color.

##### Declaration

    public const Color Black

##### Field Value

Type | Description
--- | ---
Color |

#### Blue

The blue color.

##### Declaration

    public const Color Blue

##### Field Value

Type | Description
--- | ---
Color |

#### BrightBlue

The bright bBlue color.

##### Declaration

    public const Color BrightBlue

##### Field Value

Type | Description
--- | ---
Color |

#### BrightCyan

The bright cyan color.

##### Declaration

    public const Color BrightCyan

##### Field Value

Type | Description
--- | ---
Color |

#### BrightGreen

The bright green color.

##### Declaration

    public const Color BrightGreen

##### Field Value

Type | Description
--- | ---
Color |

#### BrightMagenta

The bright magenta color.

##### Declaration

    public const Color BrightMagenta

##### Field Value

Type | Description
--- | ---
Color |

#### BrightRed

The bright red color.

##### Declaration

    public const Color BrightRed

##### Field Value

Type | Description
--- | ---
Color |

#### BrightYellow

The bright yellow color.

##### Declaration

    public const Color BrightYellow

##### Field Value

Type | Description
--- | ---
Color |

#### Brown

The brown color.

##### Declaration

    public const Color Brown

##### Field Value

Type | Description
--- | ---
Color |

#### Cyan

The cyan color.

##### Declaration

    public const Color Cyan

##### Field Value

Type | Description
--- | ---
Color |

#### DarkGray

The dark gray color.

##### Declaration

    public const Color DarkGray

##### Field Value

Type | Description
--- | ---
Color |

#### Gray

The gray color.

##### Declaration

    public const Color Gray

##### Field Value

Type | Description
--- | ---
Color |

#### Green

The green color.

##### Declaration

    public const Color Green

##### Field Value

Type | Description
--- | ---
Color |

#### Magenta

The magenta color.

##### Declaration

    public const Color Magenta

##### Field Value

Type | Description
--- | ---
Color |

#### Red

The red color.

##### Declaration

    public const Color Red

##### Field Value

Type | Description
--- | ---
Color |

#### value__

##### Declaration

    public int value__

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### White

The White color.

##### Declaration

    public const Color White

##### Field Value

Type | Description
--- | ---
Color |